Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592156 - Crash in fetch_texel_2d_f_xrgb8888
Summary: Crash in fetch_texel_2d_f_xrgb8888
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2f609e52ba06d799111053b757a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-14 02:28 UTC by Jerry James
Modified: 2010-11-04 04:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 04:31:35 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-14 02:28 UTC, Jerry James
no flags Details

Description Jerry James 2010-05-14 02:28:31 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/../../bin/java sun.applet.PluginMain /tmp/icedteaplugin-jamesjer/3348-icedteanp-plugin-to-appletviewer /tmp/icedteaplugin-jamesjer/3348-icedteanp-appletviewer-to-plugin
component: java-1.6.0-openjdk
crash_function: raise
executable: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java
global_uuid: 2f609e52ba06d799111053b757a75eda09ac9d5a
kernel: 2.6.32.11-99.fsmon.fc12.x86_64
package: java-1.6.0-openjdk-1:1.6.0.0-38.b18.fc12
rating: 3
reason: Process /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

comment
-----
I got both updated Java packages from Fedora 12 updates and an update from Runescape with new graphical features on the same day, so I don't know which triggered this behavior.  The game is now unplayable on F-12.  It will only run for a maximum of about 30 seconds before crashing.  If I am reading the memory map correctly, the crash is actually in /usr/lib64/dri/libdricore.so.

How to reproduce
-----
1. Go to www.runescape.com
2. Play for about 30 seconds
3.

Comment 1 Jerry James 2010-05-14 02:28:33 UTC
Created attachment 413933 [details]
File: backtrace

Comment 2 Jerry James 2010-05-15 03:22:51 UTC
I was partially wrong.  It's something about the vicinity of the Grand Exchange and Varrock Castle that is causing the crash.  Away from there, the game seems normal.  In that area, the crash occurs VERY frequently.  Given the backtrace, I'm guessing there is some texture in use in that area that is triggering the crash.

And to add to the fun, sometimes it takes the X server down when it goes.  And when it does, sometimes the X server starts back up and I get to see GDM, and sometimes I get a permanently blank screen.

I have an Intel 82G33/G31 Express Integrated Graphics Controller, if that matters.

I'm reassigning this to the mesa component, since I'm pretty confident that's what the backtrace is showing.  Pardon me if I'm wrong.

Comment 3 Bug Zapper 2010-11-03 14:54:43 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Jerry James 2010-11-04 04:31:35 UTC
Haven't seen this for a long time, and now I'm on F-14.  Let's just close it and hope it's really gone.


Note You need to log in before you can comment on or make changes to this bug.